set echo on
--
-- TEMPORAL VALIDITY
--
--
drop table temporal_emp_test;
--
CREATE TABLE temporal_emp_test(
  employee_id NUMBER,
  last_name   VARCHAR2(50),
  start_time  TIMESTAMP,
  end_time    TIMESTAMP,
  PERIOD FOR my_time_period (start_time, end_time));
 
INSERT INTO temporal_emp_test VALUES (1000, 'King', '01-Jan-10', '30-Jun-11');
INSERT INTO temporal_emp_test VALUES (1001, 'Manzo', '01-Jan-11', '30-Jun-11');
INSERT INTO temporal_emp_test VALUES (1002, 'Li', '01-Jan-12', null);
INSERT INTO temporal_emp_test VALUES (1003, 'Smith', '01-Jan-10', '31-Dec-10');
INSERT INTO temporal_emp_test VALUES (1005, 'Jones', '02-Jan-10', '31-Dec-10');
INSERT INTO temporal_emp_test VALUES (1006, 'Zelchik', '03-Jan-10', '30-Jun-11');
INSERT INTO temporal_emp_test VALUES (1007, 'Jordan', '04-Apr-11', '01-Jan-10');
 
SELECT * from temporal_emp_test AS OF PERIOD FOR my_time_period TO_TIMESTAMP('01-Jun-10')
;

SELECT * from temporal_emp_test 
   VERSIONS PERIOD FOR my_time_period 
   BETWEEN TO_TIMESTAMP('01-Jun-10') AND TO_TIMESTAMP('03-Jun-10')
;
--
commit;
--
