-- Case Insensitive Accent Insensistive
--
SET ECHO ON
SET TERMOUT ON
DROP TABLE EMP_CASE_INSENSITIVE CASCADE CONSTRAINTS;
--
CREATE TABLE EMP_CASE_INSENSITIVE
       (EMPNO NUMBER(4) NOT NULL,
        ENAME VARCHAR2(10) COLLATE BINARY_CI,
        JOB VARCHAR2(9),
        MGR NUMBER(4),
        HIREDATE DATE,
        SAL NUMBER(7, 2),
        COMM NUMBER(7, 2),
        DEPTNO NUMBER(2));
--
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (8301, 'SMITH',  'DEVOPS',     7902,
        TO_DATE('17-DEC-2016', 'DD-MON-YYYY'),  900, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (8302, 'smith',  'DEVOPS',     7902,
        TO_DATE('17-DEC-2016', 'DD-MON-YYYY'),  1000, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (8303, 'Smith',  'DEVOPS',     7902,
        TO_DATE('17-DEC-2016', 'DD-MON-YYYY'),  1100, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (8304, 'sMiTh',  'DEVOPS',     7902,
        TO_DATE('17-DEC-2016', 'DD-MON-YYYY'),  1200, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7499, 'ALLEN',  'SALESMAN',  7698,
        TO_DATE('20-FEB-1981', 'DD-MON-YYYY'), 1600,  300, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7521, 'WARD',   'SALESMAN',  7698,
        TO_DATE('22-FEB-1981', 'DD-MON-YYYY'), 1250,  500, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7566, 'JONES',  'MANAGER',   7839,
        TO_DATE('2-APR-1981', 'DD-MON-YYYY'),  2975, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7654, 'MARTIN', 'SALESMAN',  7698,
        TO_DATE('28-SEP-1981', 'DD-MON-YYYY'), 1250, 1400, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7698, 'BLAKE',  'MANAGER',   7839,
        TO_DATE('1-MAY-1981', 'DD-MON-YYYY'),  2850, NULL, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7782, 'CLARK',  'MANAGER',   7839,
        TO_DATE('9-JUN-1981', 'DD-MON-YYYY'),  2450, NULL, 10);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7788, 'SCOTT',  'ANALYST',   7566,
        TO_DATE('09-DEC-1982', 'DD-MON-YYYY'), 3000, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7839, 'KING',   'PRESIDENT', NULL,
        TO_DATE('17-NOV-1981', 'DD-MON-YYYY'), 5000, NULL, 10);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7844, 'TURNER', 'SALESMAN',  7698,
        TO_DATE('8-SEP-1981', 'DD-MON-YYYY'),  1500,    0, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7876, 'ADAMS',  'CLERK',     7788,
        TO_DATE('12-JAN-1983', 'DD-MON-YYYY'), 1100, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7900, 'JAMES',  'CLERK',     7698,
        TO_DATE('3-DEC-1981', 'DD-MON-YYYY'),   950, NULL, 30);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7902, 'FORD',   'ANALYST',   7566,
        TO_DATE('3-DEC-1981', 'DD-MON-YYYY'),  3000, NULL, 20);
INSERT INTO EMP_CASE_INSENSITIVE VALUES
        (7934, 'MILLER', 'CLERK',     7782,
        TO_DATE('23-JAN-1982', 'DD-MON-YYYY'), 1300, NULL, 10);
--
alter table EMP_CASE_INSENSITIVE
  add constraint empcispk primary key (empno);
execute dbms_stats.gather_table_stats(ownname=>user,tabname=>'EMP_CASE_INSENSITIVE',cascade=>TRUE);
--
select empno,ename from EMP_CASE_INSENSITIVE;
--
select empno,ename from EMP_CASE_INSENSITIVE
  where ename = 'SMITH';
--

