-- Long Object Names
--
drop user ridiculously_long_user_name_now_works cascade;
drop table ridiculously_long_table_name_now_works cascade constraints;
--
create user ridiculously_long_user_name_now_works
  identified by whoops;
--
create table ridiculously_long_table_name_now_works
  (ridiculously_long_column_name1 number(4) generated as identity,
   ridiculously_line_column_name2 varchar2(400)
);
--
desc ridiculously_long_table_name_now_works
desc all_tab_cols
--
declare
   plsql_also_supports_ridiculously_long_names number := 0;
begin
   FOR j IN 1..5 LOOP
       plsql_also_supports_ridiculously_long_names := j; 
       insert into ridiculously_long_table_name_now_works
       (ridiculously_line_column_name2)
       values
       (plsql_also_supports_ridiculously_long_names);
     END LOOP;
     dbms_output.put_line('nbr rows = ' || plsql_also_supports_ridiculously_long_names);
END;
/
--
/
--
select * from ridiculously_long_table_name_now_works;
--
delete from ridiculously_long_table_name_now_works
    where ridiculously_long_column_name1 > 5;
--