CREATE OR REPLACE PACKAGE my_pkg IS
    TYPE my_rec_type IS 
        RECORD
        (year_num PLS_INTEGER := 0,
         year_txt VARCHAR2 (100) );
END;
--
DECLARE
  my_rec1 my_pkg.my_rec_type := my_pkg.my_rec_type(1776,'ONE SEVEN SEVEN SIX');
  my_rec2 my_pkg.my_rec_type := my_pkg.my_rec_type(year_num => 1, year_txt => 'ONE');
  my_rec3 my_pkg.my_rec_type := my_pkg.my_rec_type(NULL,NULL);
PROCEDURE print_rec ( pi_rec my_pkg.my_rec_type := my_pkg.my_rec_type(1918+100, 'This '||'Year')) IS
  my_rec1 my_pkg.my_rec_type := my_pkg.my_rec_type(2847,'TWO EIGHT FOUR SEVEN');
BEGIN
  DBMS_OUTPUT.PUT_LINE(NVL(my_rec1.year_num,1) ||' ' ||NVL(my_rec1.year_txt,'ZERO'));
  DBMS_OUTPUT.PUT_LINE(NVL(pi_rec.year_num,1000) ||' ' ||NVL(pi_rec.year_txt,'One Thousand'));
END;
--
BEGIN
print_rec(my_rec1);
print_rec(my_rec2);
print_rec(my_rec3);
print_rec();
END;