-- create function for dbms_profiler test
create or replace function get_dept_avg(indeptno in emp.deptno%type)
   return emp.sal%type
  is
   type empsaltype is table of emp.sal%type
     index by binary_integer;
   empsal empsaltype;
   nbrEmps binary_integer := 0;
   totsal number := 0;
begin
   select sal
     bulk collect into empsal
     from emp;
   nbrEmps := empsal.count;
   for I in 1..nbrEmps loop
     totsal := totsal + empsal(I);
   end loop;
   return totsal / nbrEmps;
end;
/