-- JSON_ARRAY
select JSON_ARRAY( EMPNO, ENAME, JOB, HIREDATE, DEPTNO)
   from EMP;
--
-- JSON_OBJECT
select JSON_OBJECT( 'empID'  is EMPNO, 'empName'  is ENAME, 'job' is JOB, 'hireDate' is HIREDATE, 'deptID' is DEPTNO)
  from EMP;
--
-- JSON_ARRAYAGG - More Complex Query
SELECT JSON_OBJECT (
         KEY 'departments' VALUE
           JSON_ARRAY(
             (SELECT JSON_OBJECTAGG (
                       KEY 'department' VALUE
                         JSON_OBJECT(
                           KEY 'deptID' VALUE d.deptno,
                           KEY 'deptName' VALUE d.dname,
                           KEY 'location' VALUE d.loc,
                           KEY 'deptEmployees' VALUE
                               (SELECT JSON_ARRAYAGG(
                                         JSON_OBJECT(
                                           KEY 'employeeID' VALUE e.empno,
                                           KEY 'lastName' VALUE e.ename,
                                           KEY 'job' VALUE e.job,
                                           KEY 'dateHired' VALUE e.hiredate
                                         )
                                       )
                                FROM   emp e
                                WHERE  e.deptno = d.deptno
                               )
                         )
                   )
              FROM   dept d
             )
          )
      )
FROM  dual;