set echo on
set timing off
--
--
-- IDENTITY
--
drop table id_test1;
create table id_test1
(id number generated as identity,
 col1 varchar2(10));
--
insert into id_test1 (col1) values ('A');
insert into id_test1 (col1) values ('B');
insert into id_test1 (col1) values ('C');
--
select * from id_test1;

--
drop table id_test2;
create table id_test2
(id number generated as identity (	start with 10 increment by 11),
 col1 varchar2(10));
--
insert into id_test2 (col1) values ('A');
insert into id_test2 (col1) values ('B');
insert into id_test2 (col1) values ('C');
--
select * from id_test2; 
-- 
pause
--
-- DEFAULTS
--
drop sequence default_test_seq;
drop table default_test;
create sequence default_test_seq start with 1 increment by 1;
create table default_test
(id number default default_test_seq.nextval not null,
 col1 varchar2(10) ,
 col2 varchar2(10)default on null 'N/A' not null);
insert into default_test (col1,col2) values ('A',null);
insert into default_test (col1) values ('B');
insert into default_test (col1,col2) values ('C','test');
select * from default_test;
--
