-- Additional JSON Inserts
-- first is LAX
-- second is STRICT
insert into deptj
  values(deptj_key.nextval,  --sys_guid(),
    '{"departments":{
    "DEPTNO": 50,
    "DNAME": "DEVOPS",  
    "LOC": "DENVER"
}}');
insert into deptj
  values(deptj_key.nextval,
    '{departments:{
    DEPTNO: 60, 
    DNAME: "UX",
    LOC: "PHOENIX"
}}');
--
commit;
--
select id,dept_info
  from deptj
  where dept_info is json;
-- Returns all rows with JSON in dept_info column (LAX or STRICT);
  select id,dept_info
    from deptj
    where dept_info is json strict;
-- Returns only rows with JSON STRICT data in dept_info column
select id,dept_info
  from deptj
  where dept_info is json format json strict;