drop sequence po_seq;
drop sequence poline_seq;
drop table po cascade constraints;
drop table poline cascade constraints;
--
create sequence po_seq start with 1 increment by 1;
create sequence poline_seq start with 1 increment by 1;
create table po
(poid     number(5) default po_seq.nextval primary key,
 podesc   varchar2(100),
 podate   date);
create table poline
(poid     number(5) default po_seq.currval,
 polineid number(5) default poline_seq.nextval,
 poitem   varchar2(100),
 poqty    number(5,2),
 poprice  number(7,3),
 constraint polinepk primary key (poid,polineid));
 --
 insert into po (podesc,podate) values ('test',sysdate);
 insert into poline (poitem,poqty,poprice) values ('test line',1,123);
 insert into poline (poitem,poqty,poprice) values ('test line2',2,234);
 --
 connect newuser/newpasswd
 --
 insert into po (podesc,podate) values ('test',sysdate);
 insert into poline (poitem,poqty,poprice) values ('test line',1,123);
 insert into poline (poitem,poqty,poprice) values ('test line2',2,234);
-- 
 commit;
 select po.poid,polineid,poqty,poprice
    from po join poline on po.poid = poline.poid;