-- This query copied from Oracle Docs
SELECT *
FROM   hr.employees
MATCH_RECOGNIZE 
(
  ORDER BY hire_date
  MEASURES SAME_JOB.hire_date AS hireday
  ,        MATCH_NUMBER() AS match_num
  ALL ROWS PER MATCH
  PATTERN (SAME_JOB"{3}") -- 2 times the situation that an employee has the same job as a previously hired employee which means three in a row with the same job
  DEFINE
  SAME_JOB AS SAME_JOB.job_id = FIRST(SAME_JOB.job_id)
) MR